=== debian/control ===
Source: ros-kinetic-nerian-sp1
Section: misc
Priority: extra
Maintainer: Konstantin Schauwecker <konstantin.schauwecker@nerian.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libsdl1.2-dev, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/nerian_sp1
Standards-Version: 3.9.2

Package: ros-kinetic-nerian-sp1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libsdl1.2-dev, ros-kinetic-cv-bridge, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: Node for the SP1 Stereo Vision System by Nerian Vision Technologies
